%define upstream_name    Dist-Zilla-Plugin-GitHub
%define upstream_version 0.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Update GitHub repo info on release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Dist::Minter)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::JSON)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The following is a list of Plugin in this distribution to help you
integrate GitHub and Dist::Zilla:

* * the Dist::Zilla::Plugin::GitHub::Create manpage Create GitHub repo on
  dzil new

* * the Dist::Zilla::Plugin::GitHub::Update manpage Update GitHub repo info
  on release

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.420.0-2.mga6
+ Revision: 1026209
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.420.0-1.mga6
+ Revision: 953350
- update to 0.42

* Thu Aug 13 2015 sander85 <sander85> 0.410.0-1.mga6
+ Revision: 864351
- update to 0.41

* Fri Jun 26 2015 sander85 <sander85> 0.400.0-1.mga6
+ Revision: 844491
- update to 0.40

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-3.mga5
+ Revision: 748028
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 0.380.0-1.mga5
+ Revision: 640852
- update to 0.38

* Sat Feb 08 2014 sander85 <sander85> 0.360.0-1.mga5
+ Revision: 586353
- update to 0.36

* Sat Oct 19 2013 umeabot <umeabot> 0.350.0-2.mga4
+ Revision: 530691
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 459108
- update to 0.35

* Fri Jun 07 2013 jquelin <jquelin> 0.340.0-1.mga4
+ Revision: 439065
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 366203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.290.0-1.mga3
+ Revision: 342081
- update to 0.29

* Fri Aug 31 2012 kharec <kharec> 0.270.0-1.mga3
+ Revision: 286094
- update to 0.27

* Thu Jul 12 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 270272
- update to 0.25

* Mon Jun 18 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 261543
- update to 0.23

* Sat Jun 09 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 258837
- update to 0.21

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 254869
- update to 0.19

* Wed Jan 04 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 190296
- update to 0.14
- update to 0.13
- update to 0.12

* Wed Jun 15 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 106843
- update to 0.10

* Mon Mar 14 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 71225
- imported package perl-Dist-Zilla-Plugin-GitHub


* Mon Mar 14 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
